@using Auction.DataAccessLayer.Entities.Shop
@model Auction.ViewModels.Auction.EditCategoryViewModel

@{
    Category category = ViewBag.Category as Category;
}

<h2>Edit category</h2>
<p>@ViewBag.categoryId</p>
<div class="edit-item-wrapper">
    @using (Html.BeginForm("Edit", "Category", FormMethod.Post, new {enctype = "multipart/form-data"}))
    {
        @Html.ValidationSummary(true)
        <input type="hidden" value="@category.CategoryId" name="Id" />
        <input type="hidden" value="@category.ImageUrl" name="ImageUrl" />
        <div>
            @Html.LabelFor(x => x.Name)
            @Html.EditorFor(x => x.Name)
            @Html.ValidationMessageFor(x => x.Name)
        </div>
        <div>
            @Html.LabelFor(x => x.Description)
            @Html.TextAreaFor(x => x.Description, new {@class = "text-area-edit"})
            @Html.ValidationMessageFor(x => x.Description)
        </div>
        <div>
            @Html.LabelFor(x => x.ShortDescription)
            @Html.TextAreaFor(x => x.ShortDescription, new {@class = "text-area-edit"})
            @Html.ValidationMessageFor(x => x.ShortDescription)
        </div>
        <div>
            @Html.LabelFor(x => x.File)
            <input type="file" accept="image/*" name="file" value="Choose image"/>
        </div>
        <input type="submit" value="Edit"/>
    }
</div>
<script>
    document.getElementById("Name").value = "@category.Name";
    document.getElementById("Description").value = "@category.Description";
    document.getElementById("ShortDescription").value = "@category.ShortDescription";
</script>